

# Test : `bash plot-cwls.sh "../../" "run.cwl" "runs-wfls.txt" "runs"`

arcRoot=$1
cwlPattern=$2
outWflList=$3
outGraphs=$4

find "$arcRoot"/ -name "$cwlPattern" > "$outWflList"

mkdir -p "$outGraphs"

while IFS= read -r wfl; do
    read wflname < <(dirname "$wfl" | xargs basename)
    cwltool --print-dot "$wfl" | dot -Tsvg > "$outGraphs"/"$wflname".svg
done < "$outWflList"